classification
Title: Several minor doc issues
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, georg.brandl, python-dev, zach.ware
Priority: normal Keywords: easy

Created on 2014-10-11 22:17 by zach.ware, last changed 2014-10-31 09:52 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
PythonDocErreurs141010.pdf zach.ware, 2014-10-11 22:17
Messages (6)
msg229104 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-10-11 22:17
From docs@:

"""
Hello,

First, I want to thank you for the useful and clear documentation of Python.

Beeing a fanatic reader of it, sometimes I encounter some mistake (or it seems to me it is such). If this could bring some help, you will find in the attached file a list of points requiring attention.

All the comments concern the official standard documentation of Python 3.4.0.

With regards.

Jacques Ducasse
"""
msg229111 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-10-12 01:55
> Repr.repr_TYPE()

This is already fixed in issue 14824.
msg229112 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-12 02:11
New changeset 7659f06a3648 by Berker Peksag in branch '3.4':
Issue #22613: Fix reprlib.Repr subclass example on Python 3.
https://hg.python.org/cpython/rev/7659f06a3648

New changeset 7394e5f85284 by Berker Peksag in branch 'default':
Issue #22613: Fix reprlib.Repr subclass example on Python 3.
https://hg.python.org/cpython/rev/7394e5f85284
msg230326 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-31 09:39
New changeset f72271f05ea4 by Georg Brandl in branch '3.4':
#22613: fix several factual errors in builtin docs (thanks Jacques Ducasse)
https://hg.python.org/cpython/rev/f72271f05ea4

New changeset 5faee3db42a7 by Georg Brandl in branch '3.4':
#22613: explain what "buffer" is in the struct documentation (thanks Jacques Ducasse)
https://hg.python.org/cpython/rev/5faee3db42a7

New changeset 7d40eff70601 by Georg Brandl in branch '3.4':
#22613: elaborate on arguments of shutil archival functions (thanks Jacques Ducasse)
https://hg.python.org/cpython/rev/7d40eff70601

New changeset 307fd58b9694 by Georg Brandl in branch '3.4':
#22613: fix heading levels in tracemalloc docs (thanks Jacques Ducasse)
https://hg.python.org/cpython/rev/307fd58b9694

New changeset 0a217d3d581c by Georg Brandl in branch '3.4':
#22613: document Cmd.cmdqueue (thanks Jacques Ducasse)
https://hg.python.org/cpython/rev/0a217d3d581c

New changeset 4089047475c5 by Georg Brandl in branch '3.4':
#22613: minor other fixes in library docs (thanks Jacques Ducasse)
https://hg.python.org/cpython/rev/4089047475c5

New changeset 53048571de47 by Georg Brandl in branch '3.4':
#22613: remaining corrections in extending/reference docs (thanks Jacques Ducasse)
https://hg.python.org/cpython/rev/53048571de47
msg230327 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-31 09:43
New changeset 60c6dc1b316f by Georg Brandl in branch '2.7':
#22613: document Cmd.cmdqueue (thanks Jacques Ducasse)
https://hg.python.org/cpython/rev/60c6dc1b316f

New changeset d3fd218ef2cf by Georg Brandl in branch '2.7':
#22613: minor other fixes in library docs (thanks Jacques Ducasse)
https://hg.python.org/cpython/rev/d3fd218ef2cf

New changeset 9e57654dfdcc by Georg Brandl in branch '2.7':
#22613: fix several factual errors in builtin docs (thanks Jacques Ducasse)
https://hg.python.org/cpython/rev/9e57654dfdcc
msg230328 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2014-10-31 09:43
All remaining points have been fixed.
History
Date User Action Args
2014-10-31 09:52:56berker.peksagsetstage: needs patch -> resolved
2014-10-31 09:43:33georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg230328

resolution: fixed
2014-10-31 09:43:15python-devsetmessages: + msg230327
2014-10-31 09:39:47python-devsetmessages: + msg230326
2014-10-12 02:11:07python-devsetnosy: + python-dev
messages: + msg229112
2014-10-12 01:55:07berker.peksagsetnosy: + berker.peksag
messages: + msg229111
2014-10-11 22:17:48zach.waresetstage: needs patch
2014-10-11 22:17:23zach.warecreate